Subject: Re: bug#12622: replace-regexp-in-string

From: Stefan Monnier <[email-masked]>
Date: Fri, 12 Oct 2012 10:22:06 -0400

> Nonetheless consider it a design flaw, us it requires a argument taking
> function, where a expression just to evaluate would suffice.

You need some way to distinguish "here's an expression that will return
the string that needs to be passed as argument" from "here's the
expression that needs to be passed as argument, to be evaluated later in
each iteration of the loop".  The distinction is made by wrapping the
expression in a `lambda'.

        Stefan